image: node

stages:
  - test
  - publish

.npm_before_script: &npm_before_script
  before_script:
    - npm set registry http://$MANGANESE_PACKAGES_JAVASCRIPT_REGISTRY --scope=@manganese
    - npm set //$MANGANESE_PACKAGES_JAVASCRIPT_REGISTRY/:_authToken=$MANGANESE_PACKAGES_JAVASCRIPT_TOKEN

test:
  stage: test
  <<: *npm_before_script
  script:
    - npm install
    - npm test

publish_package:
  stage: publish
  dependencies:
    - test
  only:
    - master
  <<: *npm_before_script
  script:
    - npm publish --registry http://$MANGANESE_PACKAGES_JAVASCRIPT_REGISTRY -y
